- Update message workflow with optional content/attachments (same content shape as source-agnostic send)
Fetch Messages by UM ID or Message Id. Supports bulk fetch.
Performs the provided action on the given message
Add Associated Application Data
Mark Message as Read (Supported for WhatsApp only)
Update message workflow w...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/message/workflow
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/message/workflow
curl -i -X PATCH \
'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/message/workflow?messageId=string&umId=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"assignment": {
"assigneeId": "string",
"assigneeType": "string",
"assignedById": 0,
"assignmentTime": 0
},
"customProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"addedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"removedCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"clientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"addedClientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"removedClientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"addedQueues": [
0
],
"removedQueues": [
0
],
"addedClientQueues": [
0
],
"removedClientQueues": [
0
],
"sentiment": 0,
"note": "string",
"message": "string",
"content": {
"title": "string",
"titleHash": "string",
"text": "string",
"textHash": "string",
"richText": "string",
"postbackPayload": "string",
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"templateId": "string",
"isRichText": true
},
"clearAttachments": true,
"appendAttachments": true
}'